import { AfterContentInit } from '@angular/core';
import { BaseDirective } from '../../../base.directive';
import * as i0 from "@angular/core";
export declare class EuiToolbarItemsComponent extends BaseDirective implements AfterContentInit {
    get euiPositionRight(): boolean;
    set euiPositionRight(value: boolean);
    _euiPositionRight: boolean;
    get cssClasses(): string;
    constructor();
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiToolbarItemsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiToolbarItemsComponent, "eui-toolbar-items", never, { "euiPositionRight": "euiPositionRight"; }, {}, never, ["*"]>;
}
